import * as aphrodite from "aphrodite";
import getHairlineWidth from "./getHairlineWidth";
import modality from "./modality";

// initialize focus-ring fix
modality();

var absoluteFillObject = {
  position: "absolute",
  left: 0,
  right: 0,
  top: 0,
  bottom: 0
};

var create = function create(styles) {
  return aphrodite.StyleSheet.create(styles);
};

var StyleSheet = {
  absoluteFill: create(absoluteFillObject),
  absoluteFillObject: absoluteFillObject,
  compose: function compose(style1, style2) {
    if (style1 && style2) {
      return [style1, style2];
    } else {
      return style1 || style2;
    }
  },

  create: create,
  hairlineWidth: getHairlineWidth(),
  resolve: function resolve(styles) {
    // TODO: extract inline styles
    return { className: aphrodite.css(styles) };
  }
};

export default StyleSheet;