"use strict";

exports.__esModule = true;

var _aphrodite = require("aphrodite");

var aphrodite = _interopRequireWildcard(_aphrodite);

var _getHairlineWidth = require("./getHairlineWidth");

var _getHairlineWidth2 = _interopRequireDefault(_getHairlineWidth);

var _modality = require("./modality");

var _modality2 = _interopRequireDefault(_modality);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

// initialize focus-ring fix
(0, _modality2.default)();

var absoluteFillObject = {
  position: "absolute",
  left: 0,
  right: 0,
  top: 0,
  bottom: 0
};

var create = function create(styles) {
  return aphrodite.StyleSheet.create(styles);
};

var StyleSheet = {
  absoluteFill: create(absoluteFillObject),
  absoluteFillObject: absoluteFillObject,
  compose: function compose(style1, style2) {
    if (style1 && style2) {
      return [style1, style2];
    } else {
      return style1 || style2;
    }
  },

  create: create,
  hairlineWidth: (0, _getHairlineWidth2.default)(),
  resolve: function resolve(styles) {
    // TODO: extract inline styles
    return { className: aphrodite.css(styles) };
  }
};

exports.default = StyleSheet;
module.exports = exports["default"];